data:extend({
{
    type = "car",  --to make it drivable
    name = "zoomer",
    icon = "__zoomer__/graphics/bomber.png",
    flags = {"pushable", "placeable-player", "player-creation", "placeable-off-grid"},
	--[[    type = "car", needs pushable to be able to move
	--pushable also makes it able to collide with stuff (or maybe its just because of the player being inside)
	so need to force it to use a null collision_mask below, order is same as other files, 
	]]
	--[[
	-- The most important bit. forces it to be rendered above things
--	... if either of these code bits worked. seems ): HARDCODED :( 
--	(type car=harcoded to  "lower-object" in v11.6) 	]]
	render_layer = "air-object", 
	final_render_layer = "air-object",

--[[
complete render order list
     tile, tile-transition, resource, decorative, remnants, floor, transport-belt-endings, corpse, floor-mechanics, item,
	 lower-object, object, higher-object-above, higher-object-under, wires, lower-radius-visualization
    radius-visualization, entity-info-icon, explosion, projectile, smoke, air-object, air-entity-info-con, light-effect
    selection-box, arrow, cursor 
]]	
    minable = {mining_time = 1, result = "zoomer"},
    max_health = 90,  

	--[[ lowish to prevent from using as a bombing/strafing vessel
	-- should be fine for zooming inside well defended lines/ perimeters, careful exploring   
	outrunning worm/spitter projectiles does no good, as once they are locked on, they will hit,
	even they have been following for 3 screens
	]]
	healing_per_tick = 0.01, --slow auto-heal to offset low health slightly
    corpse = "medium-remnants",
	
    --[[resistances = 
    {
      {
        type = "fire",
        percent = 50
      }
    },-- leave it with no resistances so it stays fragile...]]
    --collision_box = {{-0.7, -1}, {0.7, 1}},
    collision_box = {{0, 0}, {0, 0}},  -- still leaves a 1 pixel collisional zone
   collision_mask = {},  -- never collide, needs this to be able to 'drive' without hitting anything
    selection_box = {{-0.7, -1}, {0.7, 1}},
    --acceleration_per_energy = 1.148, --0.148, -- obsolete?
    breaking_speed = 0.09,
	effectivity = 15.0, --11.50, --0.5 --multiplier of engine consumption to get 'wheel torque' 
	-- settings as of 3.2.15 make it go ~300kph with quick acceleration and little coasting
	-- effectivity = 15.0, ; consumption = "5MW" ; weight = 1000 ;  friction = 0.15,
    braking_power = "15MW",  --brake faster, does not eat fuel to brake -"900kW" --for car,
	--[[ from here to   air_resistance is copied from locomotive. don't seem to work on type car
	max_speed = 1.5 
    friction_force = 0.15
    -- this is a percentage of current speed that will be subtracted
    air_resistance = 0.82
	--]]
    burner =
	{
      effectivity = 0.5,  --1.5,
	  	--[[ 
		controls how efficient the burner is converting fuel to engine power
		car is 0.4, locomotive is 1
		far easier to control fuel consumption here than power and weight
		I just want to make it accelerate FAST and not coast into the next state
		WITHOUT eating coal faster than 1 per sec
	  --]]
      fuel_inventory_size = 5,
      smoke = {
        {
          name = "smoke",
          deviation = {0.25, 0.25},
          frequency = 20,
          position = {0, 1.5},
          slow_down_factor = 0.9,
          starting_frame = 3,
          starting_frame_deviation = 5,
          starting_frame_speed = 0,
          starting_frame_speed_deviation = 5
        }
      }
    },
    consumption = "5MW", 
	--- consumption,weight, and friction control speed, acceleration curve
	--[[ 
	-- ~2 sec per coal @ 5MW; burner effectivity@ 0.5
	weight &/or friction needs to be high to offset this to control acceleration and top speed
	factorio does not seem to like speeds > 500km/h, especially when exploring un-generated areas
--	car is 150kW, locomotive is 600kW
     ]]
    friction = 0.15, --2e3 is car --effects coasting ability, smaller number is less; 
	--- effectivity, consumption, weight, and friction control speed, acceleration curve
--[[ light = --light moves wrong for above ground object, nix it or put like lamp
    {
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          width = 400,
          height = 400
        },
        shift = {5, -3},
        size = 2,
        intensity = 0.6
      },
    }, -- no lights ]]
	--[[  lamplight
	energy_usage_per_tick = "5KW",
    light = {intensity = 0.9, size = 40},
	]]
	    light = {intensity = 0.8, size = 30},
    sound_minimum_speed = 0.4;
    working_sound =
    {
      sound =
      {
    --    filename = "__base__/sound/car-engine.ogg", --sounds like weedwacker at high speed
	  filename = "__base__/sound/train-engine.ogg", -- nice and powerful default sound

        volume = 0.8
      },
      activate_sound =
      {
        filename = "__base__/sound/car-engine-start.ogg",
        volume = 0.6
      },
      deactivate_sound =
      {
        filename = "__base__/sound/car-engine-stop.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },	
    animation =
    {
      filename = "__base__/graphics/entity/construction-robot/construction-robot.png",
      priority = "extra-high", --"high",
	  scale = 2.5,
      line_length = 16,
      width = 32,
      height = 36,
      frame_count = 1,
      shift = {0, -0.15625},
      axially_symmetrical = false,
      direction_count = 16,
      y = 36
    },
    rotation_speed = 0.011, --0.01,
    weight = 1000, -- affects acceleration, momentum, braking
	-- car is 700	
	-- effectivity, consumption, weight, and friction control speed, acceleration curve
    inventory_size = 12 -- somehow I acquire random objects here while flying over base

  }

})
